import { ComponentMetadata, Snippet } from '@alilc/lowcode-types';
const  GridMeta: ComponentMetadata = {
  group: '原子组件',
  category: '布局容器类',
  componentName: 'Cell',
  priority: 94,
  npm: {
    package: '@alifd/next',
    version: '{{version}}',
    exportName: 'ResponsiveGrid',
    main: '',
    destructuring: true,
    subName: 'Cell',
  },
  configure: {
    props: [
      {
        name: 'colSpan',
        title: '占据几列',
        setter: 'NumberSetter'
      },
      {
        name: 'rowSpan',
        title: '占据几行',
        setter: 'NumberSetter'
      }
    ],
    supports: {
      style: true,
    },
    component: {
      isContainer: true,
      nestingRule: {
        parentWhitelist: ['ResponsiveGrid']
      },
    }
  }
};
const snippets: Snippet[] = [
  {
    "title": "Cell",
    "screenshot": "https://alifd.oss-cn-hangzhou.aliyuncs.com/fusion-cool/icons/icon-light/ic_light_table.png",
    "schema": {
      "componentName": "Cell",
      "props": {
        
      }
    }
  }
];
export default {
  ...GridMeta,
  snippets
};