import { ComponentMetadata, Snippet } from '@alilc/lowcode-types';
const  ColMeta: ComponentMetadata = {
  group: '原子组件',
  category: '布局容器类',
  componentName: 'Col',
  priority: 98,
  npm: {
    package: '@alifd/next',
    version: '{{version}}',
    exportName: 'Grid',
    main: '',
    destructuring: true,
    subName: 'Col',
  },
  configure: {
    props: [
      {
        title: 'colSpan',
        name: 'colSpan',
        setter: 'NumberSetter'
      },
      {
        title: 'rowSpan',
        name: 'rowSpan',
        setter: 'NumberSetter'
      }
    ],
    supports: {
      style: true,
    },
    component: {
      isContainer: true,
      nestingRule: {
        parentWhitelist: ['Row']
      }
    }
  }
};
const snippets: Snippet[] = [
  {
    "title": "栅格列",
    "screenshot": "https://alifd.oss-cn-hangzhou.aliyuncs.com/fusion-cool/icons/icon-light/ic_light_table.png",
    "schema": {
      "componentName": "Col",
      "props": {
      }
    }
  }
];
export default {
  ...ColMeta,
  snippets
};