import { ComponentMetadata, Snippet } from '@alilc/lowcode-types';
const  GridMeta: ComponentMetadata = {
  group: '原子组件',
  category: '布局容器类',
  title: 'Grid',
  componentName: 'ResponsiveGrid',
  priority: 96,
  npm: {
    package: '@alifd/next',
    version: '{{version}}',
    exportName: 'ResponsiveGrid',
    main: '',
    destructuring: true,
    subName: '',
  },
  configure: {
    props: [
      {
        name: 'columns',
        title: '列数量',
        setter: 'NumberSetter'
      },
      {
        name: 'gap',
        title: '列间距',
        setter: 'NumberSetter'
      },
      {
        name: 'dense',
        title: '紧密模式',
        setter: 'BoolSetter'
      }
    ],
    supports: {
      style: true,
    },
    component: {
      isContainer: true,
      nestingRule: {
        childWhitelist: ['Cell'],
      },
    }
  }
};
const snippets: Snippet[] = [
  {
    "title": "Grid",
    "screenshot": "https://alifd.oss-cn-hangzhou.aliyuncs.com/fusion-cool/icons/icon-light/ic_light_table.png",
    "schema": {
      "componentName": "ResponsiveGrid",
      "props": {
        device: 'phone',
      },
      children: [{
        componentName: "Cell"
      }, {
        componentName: 'Cell'
      }, {
        componentName: 'Cell',
      }, {
        componentName: 'Cell'
      }]
    }
  }
];
export default {
  ...GridMeta,
  snippets
};