
import { ComponentMetadata, Snippet } from '@alilc/lowcode-types';

const ImageMeta: ComponentMetadata = {
  group: '原子组件',
  category: '通用',
  "componentName": "Image",
  icon: 'https://img.alicdn.com/imgextra/i3/O1CN01tnhXhk1GUIFhsXwzA_!!6000000000625-55-tps-56-56.svg',
  "title": "Image",
  "docUrl": "",
  "screenshot": "",
  "devMode": "proCode",
  "npm": {
    "package": "oyetalk-lowcode-components",
    "version": "1.0.1",
    "exportName": "Image",
    "main": "src/index.tsx",
    "destructuring": true,
    "subName": ""
  },
  "configure": {
    "props": [
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "src",
            "zh-CN": "图片链接"
          }
        },
        "name": "src",
        "setter": {
          "componentName": "StringSetter",
          "isRequired": false,
        },
        defaultValue: 'https://img.alicdn.com/tps/TB16TQvOXXXXXbiaFXXXXXXXXXX-120-120.svg',
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "alt",
            "zh-CN": "alt"
          }
        },
        "name": "alt",
        "setter": {
          "componentName": "StringSetter",
          "isRequired": false,
          "initialValue": ""
        }
      },
      {
        "title": {
          "label": {
            "type": "i18n",
            "en-US": "title",
            "zh-CN": "title"
          }
        },
        "name": "title",
        "setter": {
          "componentName": "StringSetter",
          "isRequired": false,
          "initialValue": ""
        }
      },
    ],
    "supports": {
      "style": true,
      "loop": false,
    },
    "component": {
      
    }
  },
};
const snippets: Snippet[] = [
  {
    "title": "图片",
    "screenshot": "https://img.alicdn.com/imgextra/i3/O1CN01tnhXhk1GUIFhsXwzA_!!6000000000625-55-tps-56-56.svg",
    "schema": {
      "componentName": "Image",
      "props": {
        src: 'https://img.alicdn.com/tps/TB16TQvOXXXXXbiaFXXXXXXXXXX-120-120.svg',
      }
    }
  }
];

export default {
  ...ImageMeta,
  snippets
};
