import { ComponentMetadata, Snippet } from '@alilc/lowcode-types';
const  RowMeta: ComponentMetadata = {
  group: '原子组件',
  category: '布局容器类',
  componentName: 'Row',
  priority: 99,
  npm: {
    package: '@alifd/next',
    version: '{{version}}',
    exportName: 'Grid',
    main: '',
    destructuring: true,
    subName: 'Row',
  },
  configure: {
    props: [
      {
        name: 'gutter',
        title: '列间隔',
        setter: 'NumberSetter'
      }
    ],
    supports: {
      style: true,
    },
    component: {
      isContainer: true,
      nestingRule: {
        childWhitelist: ['Col'],
      }
    }
  }
};
const snippets: Snippet[] = [
  {
    "title": "栅格行",
    "screenshot": "https://alifd.oss-cn-hangzhou.aliyuncs.com/fusion-cool/icons/icon-light/ic_light_table.png",
    "schema": {
      "componentName": "Row",
      "props": {
      }
    }
  }
];
export default {
  ...RowMeta,
  snippets
};