
import { ComponentMetadata, Snippet } from '@alilc/lowcode-types';

const SpanMeta: ComponentMetadata = {
  group: '原子组件',
  category: '通用',
  icon: 'https://img.alicdn.com/imgextra/i3/O1CN01n5wpxc1bi862KuXFz_!!6000000003498-55-tps-50-50.svg',
  "componentName": "Span",
  "title": "文本",
  "docUrl": "",
  "screenshot": "",
  "devMode": "proCode",
  "npm": {
    "package": "oyetalk-lowcode-components",
    "version": "1.0.1",
    "exportName": "Span",
    "main": "src/index.tsx",
    "destructuring": true,
    "subName": ""
  },
  "configure": {
    "props": [
      {
        name: 'children',
        supportVariable: true,
        title: {
          label: {
            type: 'i18n',
            zh_CN: '文本内容',
            en_US: 'Text',
          },
          tip: {
            type: 'i18n',
            zh_CN: '属性：children | 说明：文本内容',
            en_US: 'prop: children | description: text of the content',
          },
        },
        setter: 'TextAreaSetter',
      },
      {
        name: 'test',
        title: '测试',
        setter: 'I18nSetter'
      }
    ],
    "supports": {
      "style": true,
      className: true,
    },
    "component": {}
  }
};
const snippets: Snippet[] = [
  {
    "title": "文本",
    "screenshot": "https://img.alicdn.com/imgextra/i3/O1CN01n5wpxc1bi862KuXFz_!!6000000003498-55-tps-50-50.svg",
    "schema": {
      "componentName": "Span",
      "props": {
        children: "Oyetalk",
      }
    }
  }
];

export default {
  ...SpanMeta,
  snippets
};
