import { Dropdown, Menu, Button } from "@alifd/next";
import React, { useEffect, useState } from "react";
import clsname from 'classnames';
type MenuItem = {
  value: string,
  label: string,
}
interface Ipros {
  menus: MenuItem[],
  style: Object,
  menuStyle: Object,
  borderColor: string,
  backgroud: string,
  fontColor: string,
  defaultValue: string,
  onChange: (value: string) => void;

}
const MyDropDown = (props: Ipros) => {
  console.log(props);
  const [triggerText, setTriggerText] = useState(props?.defaultValue || props?.menus?.[0]?.label)
  const [visible, setVisible] = useState(false)
  const onVisibleChange = (visible: boolean) => {
    console.log(visible);
    setVisible(visible);
  }
  return <div style={props.style} className={clsname({
    opened: visible,
  })}>
  <Dropdown
    key={triggerText}
    autoClose
    trigger={
      <div className="oye-dropdown" style={{ content: triggerText, borderColor: props.borderColor }}>
        <span className="dtxt" style={{color: props.fontColor}}>{triggerText || 'click me'}</span>
        <span className="dbg" style={{ background: props.backgroud }}></span>
        <span className={clsname({
        'arrow-down': 1,
        'arrow-up': visible,
      })}></span>
      </div>}
    onVisibleChange={onVisibleChange}
    triggerType={["click"]}
    afterOpen={() => console.log("after open")}
  >
    <Menu 
    style={props.menuStyle}
    className="oye-menu"
    onItemClick={(key) => {
      const label = (props?.menus?.find(i => key == i.value)?.label) as string;
      setTriggerText(label);
      props?.onChange?.(key);
    }}>
      {props?.menus?.map(m => 
        <Menu.Item key={m.value}>{m.label}</Menu.Item>  
      )}
    </Menu>
  </Dropdown></div>
}
MyDropDown.defaultProps = {
  menus: [{
    label: 'English',
    value: 'en-US',
  }, {
    label: 'Urdu',
    value: 'ur-PK',
  }, {
    label: 'Hindi',
    value: 'hi-IN',
  }, {
    label: 'Indonesian',
    value: 'id-ID',
  }, {
    label: 'Bengali',
    value: 'ms-BN',
  }, {
    label: 'Filipino',
    value: 'en-PH',
  }],
  fontColor: '#000',
  borderColor: '#2f20b5',
  backgroud: 'linear-gradient(0deg,#291bb7,#5729a6)',
}
export default MyDropDown;